Bug 1110070 - Review Request: vert.x - A lightweight, high-performance, polyglot, event-driven application platform for JVM
Review Request: vert.x - A lightweight, high-performance, polyglot, event-dri...
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW FE-JAVASIG 1113346 1113387
  Show dependency treegraph
 
Reported: 2014-06-16 22:08 EDT by Lin Gao
Modified: 2016-10-15 11:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1113346 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lin Gao 2014-06-16 22:08:31 EDT
Spec URL: http://repos.fedorapeople.org/repos/lgao/vert.x/fedora-20/vert.x.spec
SRPM URL: http://repos.fedorapeople.org/repos/lgao/vert.x/fedora-20/SRPMS/vert.x-2.1-1.fc20.src.rpm


Description: 
Vert.x is a lightweight, high performance, simple, polyglot, event-driven 
application platform for JVM that's designed for modern mobile, web, and 
enterprise applications.

Vert.x application components can be written in Java, JavaScript, Groovy,
Ruby or Python. More languages will be supported.
Comment 1 Lin Gao 2014-06-16 22:18:18 EDT
The main Vert.x package provides the core platform with Java language support only, other system modules like different languages modules, need to be one separate package each, because the source code of the languages modules are different from the main Vert.x package.
Comment 2 Lin Gao 2014-06-16 22:27:00 EDT
The successful build task is at: http://koji.fedoraproject.org/koji/taskinfo?taskID=7047236
Comment 3 Lin Gao 2016-10-14 03:39:47 EDT
@gil cattaneo, The active master branch of Vert.x is 3.x now, see https://github.com/eclipse/vert.x, which is Maven based build.

I don't have much time to follow this anymore because of busy JBoss EAP sustaining tasks. If you want to take over, feel free to do so. :-)
Comment 4 gil cattaneo 2016-10-14 08:00:53 EDT
(In reply to Lin Gao from comment #3)
> @gil cattaneo, The active master branch of Vert.x is 3.x now, see
> https://github.com/eclipse/vert.x, which is Maven based build.

Yes, i know

> I don't have much time to follow this anymore because of busy JBoss EAP
No problems, can you close this bug?
> sustaining tasks. If you want to take over, feel free to do so. :-)
Maybe next mounths, the latest release use netty == 4.1.5.Final

Thanks in advance
Regards
Comment 5 gil cattaneo 2016-10-14 08:02:52 EDT
months^ sorry
Comment 6 gil cattaneo 2016-10-15 11:19:02 EDT
Seem the 3.x series do not provides anymore lang-rhino
https://github.com/vert-x3

Note You need to log in before you can comment on or make changes to this bug.